Clear an integration group
DELETE/v1/settings/integrations/{group}
Clears one stored integration group, returning that group to the
platform default when one exists; source returns to platform.
Behavior
- Clearing a group that is not stored is a no-op, not an error.
Errors
- HTTP 404
code2026: unknown group name.
Clear an integration group
curl https://messages.api.linqapp.com/v1/settings/integrations/$GROUP \
-X DELETE \
-H "Authorization: Bearer $LINQ_AMB_API_KEY"{
"brand_id": "biz_9f2c1a",
"display": "CurbFare",
"privacy_policy_url": "https://example.com/privacy",
"terms_of_use_url": "https://example.com/terms",
"policy_version": 3,
"support_contact": "[email protected]",
"richlink_default_image_att_id": "",
"agent_enabled": true,
"escalation_handling": "self_managed",
"escalation_handling_locked": false,
"consent_mode": "linq_managed",
"business_id": "a884eddf-b0ad-4be4-9c0e-071531638768",
"link_origin": "connect",
"managed": [
{
"name": "apple_pay_merchant",
"value": "not configured",
"managed_by": "linq",
"set": false,
"source": "platform"
},
{
"name": "app_extensions",
"value": "none registered",
"managed_by": "linq",
"set": false,
"source": "platform"
},
{
"name": "oauth",
"value": "not configured",
"managed_by": "linq",
"set": false,
"source": "platform"
}
],
"app_extensions": {
"apps": {}
}
}Returns Examples
{
"brand_id": "biz_9f2c1a",
"display": "CurbFare",
"privacy_policy_url": "https://example.com/privacy",
"terms_of_use_url": "https://example.com/terms",
"policy_version": 3,
"support_contact": "[email protected]",
"richlink_default_image_att_id": "",
"agent_enabled": true,
"escalation_handling": "self_managed",
"escalation_handling_locked": false,
"consent_mode": "linq_managed",
"business_id": "a884eddf-b0ad-4be4-9c0e-071531638768",
"link_origin": "connect",
"managed": [
{
"name": "apple_pay_merchant",
"value": "not configured",
"managed_by": "linq",
"set": false,
"source": "platform"
},
{
"name": "app_extensions",
"value": "none registered",
"managed_by": "linq",
"set": false,
"source": "platform"
},
{
"name": "oauth",
"value": "not configured",
"managed_by": "linq",
"set": false,
"source": "platform"
}
],
"app_extensions": {
"apps": {}
}
}